import '../repositories/attendance_repository.dart';
import '../models/salary_model.dart';

class GetSalarySummaryUseCase {
  final AttendanceRepository repository;

  GetSalarySummaryUseCase(this.repository);

  Future<SalaryModel> execute({
    required String employeeId,
    required int month,
    required int year,
  }) {
    return repository.calculateSalary(
      employeeId: employeeId,
      month: month,
      year: year,
    );
  }
}
